Skip to content

Add image from stock photo

POST
/api/v1/projects/{project_id}/blog-posts/{post_id}/images/from-stock

Downloads a stock photo, optimizes it, uploads to S3, and attaches to the blog post.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project_id*
Type
string
Required
Format
"uuid"
post_id*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"photo_url": "string",
  
"alt_text": "string",
  
"photographer": "string",
  
"original_url": "string"
}

Responses

Successful Response

application/json
JSON
{
  
"id": "string",
  
"blog_post_id": "string",
  
"s3_key": "string",
  
"original_url": "string",
  
"source": "string",
  
"alt_text": "string",
  
"width": 0,
  
"height": 0,
  
"file_size": 0,
  
"variants": {
  
  
"additionalProperties": "string"
  
},
  
"created_at": "string",
  
"updated_at": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

XC AI Content Automation